<?php
defined('ROOT_DIR') or die(__FILE__.' requires egConfig.inc.php');
include_once(ROOT_DIR.'egWindow.class.php');

class egList extends egWindow {
    var $itemsList;

    function egList($id, $title = '', $posX = 0, $posY = 0, $width = 0, $height = 0) {
			parent::egWindow($id, $title, $posX, $posY, $width, $height);
			$this->itemsList = array();
    }

	  function getClassName() {
        return "egList";
    }

    function addListItem(&$item) {
				$pos = count($this->itemsList);
				$this->itemsList[$pos] = &$item;
    }
}
?>